KMEM_CACHE_ALLOC_N(9)

NAME
kmem_cache_alloc_node - Allocate an object on the specified node

SYNOPSIS

void * kmem_cache_alloc_node (struct kmem_cache * cachep, gfp_t flags, int nodeid);

ARGUMENTS

cachep
    The cache to allocate from.

flags
    See kmalloc.

nodeid
    node number of the target node.

DESCRIPTION

Identical to kmem_cache_alloc, except that this function is slow and can sleep. And it will allocate memory on the given node, which can improve the performance for cpu bound structures.

NEW AND IMPROVED

it will now make sure that the object gets put on the correct node list so that there is no false sharing.